package com.zcloud.mapper.datasource.curriculum;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：课程试卷题
 * 作者：luoxiaobao
 * 时间：2021-09-02
 * 官网：www.zcloudchina.com
 */
public interface CoursemiddleMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**列表(根据试卷ID获取试题数据)
	 * @param pd
	 * @throws Exception
	 */
    List<PageData> findByExamPaper(PageData pd);

	/**删除(根据试卷ID删除试题数据)
	 * @param pd
	 * @throws Exception
	 */
    void deleteByExamPaper(PageData pd);

	/**删除(根据课程ID删除试题数据)
	 * @param pd
	 * @throws Exception
	 */
	void deleteByCurriculumIds(PageData pd);
}

